Summary:	A userspace library to the in-kernel connection tracking state table
Summary(pl.UTF-8):	Biblioteka przestrzeni użytkownika do tabeli stanów śledzenia połączeń w jądrze
Name:		libnetfilter_conntrack
Version:	1.0.7
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	https://netfilter.org/projects/libnetfilter_conntrack/files/%{name}-%{version}.tar.bz2
# Source0-md5:	013d182c2df716fcb5eb2a1fb7febd1f
URL:		https://netfilter.org/projects/libnetfilter_conntrack/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6
BuildRequires:	libmnl-devel >= 1.0.3
BuildRequires:	libnfnetlink-devel >= 1.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.9.0
Requires:	libmnl >= 1.0.3
Requires:	libnfnetlink >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libnetfilter_conntrack is a userspace library providing a programming
interface (API) to the in-kernel connection tracking state table.

Main features:
- listing/retrieving entries from the kernel connection tracking table
- inserting/modifying/deleting entries from the kernel connection
  tracking table
- listing/retrieving entries from the kernel expect table
- inserting/modifying/deleting entries from the kernel expect table

%description -l pl.UTF-8
libnetfilter_conntrack to biblioteka przestrzeni użytkownika
udostępniająca interfejs programistyczny (API) do tabeli stanów
śledzenia połączeń w jądrze.

Główne możliwości:
- lista/pobieranie wpisów z tabeli śledzenia połączeń jądra
- wstawianie/modyfikowanie/usuwanie wpisów z tabeli śledzenia połączeń
  jądra
- lista/odtwarzanie wpisów z tabeli oczekiwania jądra
- wstawianie/modyfikowanie/usuwanie wpisów z tabeli oczekiwania jądra

%package devel
Summary:	Header files for libnetfilter_conntrack library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnetfilter_conntrack
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libmnl-devel >= 1.0.3
Requires:	libnfnetlink-devel >= 1.0.0

%description devel
Header files for libnetfilter_conntrack library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnetfilter_conntrack.

%package static
Summary:	Static libnetfilter_conntrack library
Summary(pl.UTF-8):	Statyczna biblioteka libnetfilter_conntrack
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnetfilter_conntrack library.

%description static -l pl.UTF-8
Statyczna biblioteka libnetfilter_conntrack.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libnetfilter_conntrack.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnetfilter_conntrack.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnetfilter_conntrack.so
%{_libdir}/libnetfilter_conntrack.la
%{_includedir}/libnetfilter_conntrack
%{_pkgconfigdir}/libnetfilter_conntrack.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnetfilter_conntrack.a
%changelog
* Mon Oct 22 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libnetfilter_conntrack.git;a=log;h=master

* Wed Jul 11 2018 Jakub Bogusz <qboosh@pld-linux.org> 3843fd6
- updated to 1.0.7

* Fri Sep 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 8e7de52
- updated to 1.0.6

* Sat Sep 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 9058eb3
- updated to 1.0.5

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 29fbbb5
- x32 rebuild
- release 2 (by relup.sh)

* Tue Aug 06 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 685ca67
- up to 1.0.4

* Thu Mar 07 2013 Jakub Bogusz <qboosh@pld-linux.org> bdc6db1
- updated to 1.0.3

* Tue Oct 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 5cb2ae6
- updated to 1.0.2

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 91e98c1
- updated o 1.0.1

* Sat Jan 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 45c0dd2
- updated to 1.0.0

* Fri Feb 25 2011 Jakub Bogusz <qboosh@pld-linux.org> b240bde
- updated to 0.9.1

* Fri Nov 12 2010 Jakub Bogusz <qboosh@pld-linux.org> 6d827d0
- updated to 0.9.0

* Mon Jul 26 2010 zbyniu <zbyniu@pld-linux.org> d053885
- up to 0.0.102

* Thu Apr 08 2010 Jakub Bogusz <qboosh@pld-linux.org> e24f9a1
- updated to 0.0.101

* Tue Dec 16 2008 areq <areq@pld-linux.org> 62a8a2c
- 0.0.99

* Thu Aug 21 2008 Jakub Bogusz <qboosh@pld-linux.org> 93a066c
- updated devel dep

* Sun Aug 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 0390442
- pkgconfig epoch

* Mon Aug 04 2008 zbyniu <zbyniu@pld-linux.org> 79ce20e
- up to 0.0.96

* Fri May 30 2008 zbyniu <zbyniu@pld-linux.org> 0bd4a3b
- up to 0.0.89

* Sun Dec 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 5995a1a
- updated to 0.0.82

* Sun Aug 12 2007 Jakub Bogusz <qboosh@pld-linux.org> a0ad7bc
- updated to 0.0.81

